#
# Cookbook Name:: cc_iis
# Recipe:: default
#
# Copyright (C) 2016 YadaYadaSoftware.com
#
# All rights reserved - Do Not Redistribute
#

# now create and start the site (note this will use the default application pool which must exist)
iis_site "#{node['webdeploy']['site_name']}" do
  protocol :http
  port 80
  path "#{node['iis']['docroot']}/#{node['webdeploy']['site_name']}"
  host_header "#{node['webdeploy']['site_name']}"
  action [:add,:start]
end

execute "runwebdeploy" do
	timeout 7200
	command "#{node['webdeploy']['package_dir']}/#{node['webdeploy']['package_name']}.deploy.cmd /Y"
	action :run
end

execute "iisstart" do
	timeout 7200
	command "C:/Windows/System32/iisreset.exe /start"
	action :run
end

iis_pool "DefaultAppPool" do
  action :config
  pool_identity :NetworkService
end
